JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.mailboxes.otp('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.mailboxes.otp(
mailbox_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)curl --request GET \
--url https://api.mobilerun.ai/mailboxes/{mailboxId}/otp \
--header 'Authorization: Bearer <token>'
{
"data": {
"code": "042911",
"confidence": "high",
"messageId": "<string>",
"receivedAt": "2023-11-07T05:31:56Z",
"sender": "<string>",
"subject": "<string>"
}
}{
"error": "<string>"
}Mailboxes
Get the best OTP candidate
Returns the highest-confidence, most recent OTP for the mailbox, restricted to messages of completed/active paid intervals. Does not wait server-side (SDKs poll). 200 with the best code, 204 when none matches.
GET
/
mailboxes
/
{mailboxId}
/
otp
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.mailboxes.otp('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.mailboxes.otp(
mailbox_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)Authorizations
Bearer token via Authorization header
Path Parameters
Query Parameters
Required range:
3 <= x <= 12Required range:
3 <= x <= 12Response
Best OTP candidate
Show child attributes
Show child attributes
Was this page helpful?
⌘I